commit:     ee00b4349013e4a98a1394c2eab0fa521a09194e
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Wed Oct  9 06:46:09 2024 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Thu Oct 17 11:39:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee00b434

gui-libs/aquamarine: add 0.4.2

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 gui-libs/aquamarine/Manifest                |  1 +
 gui-libs/aquamarine/aquamarine-0.4.2.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/gui-libs/aquamarine/Manifest b/gui-libs/aquamarine/Manifest
index 2ed93b8dbcc7..e6f956ea0e3f 100644
--- a/gui-libs/aquamarine/Manifest
+++ b/gui-libs/aquamarine/Manifest
@@ -1,3 +1,4 @@
 DIST aquamarine-0.3.1.tar.gz 73065 BLAKE2B 
9e66d6e6da33e62917b10b395ed1eb9ca6f721b38d787ccd6197f1b14af69cafba42994081d95b13f8dcc311b997d950a8070bca47097020bb4c80c91651b698
 SHA512 
78428d9571f90f424cb91fa1a1b262e1433fe3b8b2c7c7a1a8799f3346c2e2efa1fd3738903d08aeb776f5ff65f4fbe2ebc3eee1481c3a8067bf163d3cea6efb
 DIST aquamarine-0.3.2.tar.gz 73834 BLAKE2B 
6fef169866c4e7dc4df6b3168c2e7c950fe62572979689010934af4c5aea7223734f3be5a85ed0c8884b32e73962d08ceb2a1e745423169642a68439f5c54dc1
 SHA512 
ed5e17cbbf6bff579db657366e7035b765979821fc2be95c420b290f1f25625d29c25ac30ab49183b58654ae442f18382f8bb0931aae57a796a24a14f4baacea
 DIST aquamarine-0.4.1.tar.gz 74242 BLAKE2B 
d019e1bfeb70d76f269eddc996957177ece83526382110c0a5e4e9a26716dee4a03b3bce408f667db6a21f1cce5ae4a1ca5d674dbe13d96229631633ce54d627
 SHA512 
facdfc86761df68369e8e823f87cf84564b861a5d7ceb9fb8930b32b3bfd5e48d77fcc9953553387e4b61e0b24461fd740e249ca8f6a8791d88a9e41e1e47e9f
+DIST aquamarine-0.4.2.tar.gz 74721 BLAKE2B 
5f81402b3e335aa60cf295a608aeb3f01f9235dd14c9045d9ff28dbdd566aad504e6c9417d0c512dd3334401eb6a7f1df6056191f04fc9409af41b47c01f50b3
 SHA512 
e5a663e2fbc975601a9e70a05a2ea1a0fcb98762cd6a8d86631e43cc84174d2f11d69ae38c53e80bcb447e687aca74a6a9a8430a75b77c9c9569cf0de684a57e

diff --git a/gui-libs/aquamarine/aquamarine-0.4.2.ebuild 
b/gui-libs/aquamarine/aquamarine-0.4.2.ebuild
new file mode 100644
index 000000000000..05d16c91faf8
--- /dev/null
+++ b/gui-libs/aquamarine/aquamarine-0.4.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Aquamarine is a very light linux rendering backend library"
+HOMEPAGE="https://github.com/hyprwm/aquamarine";
+
+if [[ "${PV}" = *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git";
+else
+       
SRC_URI="https://github.com/hyprwm/${PN^}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+
+# Upstream states that the simpleWindow test is broken, see bug 936653
+RESTRICT="test"
+RDEPEND="
+       dev-libs/wayland
+       media-libs/mesa[opengl]
+       media-libs/libdisplay-info
+       >=dev-libs/libinput-1.26.1
+       >=dev-util/hyprwayland-scanner-0.4.0
+       >=gui-libs/hyprutils-0.2.3
+       x11-libs/cairo
+       x11-libs/libxkbcommon
+       x11-libs/libdrm
+       x11-libs/pango
+       x11-libs/pixman
+       virtual/libudev
+       sys-apps/hwdata
+       >=sys-auth/seatd-0.8.0
+"
+DEPEND="
+       ${RDEPEND}
+       dev-libs/wayland-protocols
+"
+
+BDEPEND="
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       sed -i "/add_compile_options(-O3)/d" "${S}/CMakeLists.txt" || die
+       cmake_src_prepare
+}

Reply via email to